Bug 189622 - (SELinux denial) Flash Player 7 uses text relocations
(SELinux denial) Flash Player 7 uses text relocations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: flash-plugin (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
: Desktop
: 207621 222100 (view as bug list)
Depends On:
Blocks: flash_el4
  Show dependency treegraph
 
Reported: 2006-04-21 14:31 EDT by Warren Togami
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: flash-plugin-9.0.31.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 13:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2006-04-21 14:31:41 EDT
libflashplayer.so (7.0.63 and earlier) uses text relocations.  Text relocations
will soon be disallowed by selinux policies because it is a security risk.

Possible causes of text relocations:
1) Some code was not compiled with -fpic.
2) Hand written asm code that is not position independent.
3) Some compiler toolchain bug (possibly Bug #175442).

Ulrich Drepper recommends that Macromedia try FC5 as a development platform
because it contains the latest gcc and related compiling toolchains.  FC5
contains eu-findtextrel, whihc can aid in locating these problems.
Comment 1 Warren Togami 2006-06-26 17:34:38 EDT
There are two temporary workarounds for this problem for Fedora users, as we
wait for the next release of Flash Player that fixes this issue:

1) chcon -t textrel_shlib_t libflashplayer.so
   Do this on the file manually after Firefox has downloaded it to your home
directory.
2) http://macromedia.mplug.org/
   Use the flash-plugin RPM instead.
Comment 3 Michael Tilburg 2006-10-23 14:06:48 EDT
This is fixed in Flash Player 9 beta here:

http://labs.adobe.com/downloads/flashplayer9.html
Comment 4 Warren Togami 2007-01-10 15:20:39 EST
Until Flash Player 9 is released, you can workaround this selinux denial problem
by using the Flash 7 RPM from:
http://macromedia.mplug.org/
Comment 5 Warren Togami 2007-01-10 15:26:10 EST
*** Bug 222100 has been marked as a duplicate of this bug. ***
Comment 6 Warren Togami 2007-01-10 15:26:12 EST
*** Bug 207621 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.